#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.Action where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Action = Action (ManagedPtr Action)
instance GObject Action where
class (GObject o, O.IsDescendantOf Action o) => IsAction o
instance (GObject o, O.IsDescendantOf Action o) => IsAction o
instance O.HasParentTypes Action
#if ENABLE_OVERLOADING
data ActionEnabledPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionParameterTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionStatePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionStateTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ActionActivateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionChangeStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetParameterTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetStateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetStateHintMethodInfo
#endif
#if ENABLE_OVERLOADING
data ActionGetStateTypeMethodInfo
#endif
