#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.Volume where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Volume = Volume (ManagedPtr Volume)
#if ENABLE_OVERLOADING
data VolumeChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeRemovedSignalInfo
#endif
instance GObject Volume where
class (GObject o, O.IsDescendantOf Volume o) => IsVolume o
instance (GObject o, O.IsDescendantOf Volume o) => IsVolume o
instance O.HasParentTypes Volume
#if ENABLE_OVERLOADING
data VolumeCanEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeCanMountMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeEjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeEjectFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeEjectWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeEjectWithOperationFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeEnumerateIdentifiersMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetActivationRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetDriveMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetIdentifierMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetMountMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetSortKeyMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetSymbolicIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeGetUuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMountMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMountFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeShouldAutomountMethodInfo
#endif
