#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusMessage where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusMessage = DBusMessage (ManagedPtr DBusMessage)
instance GObject DBusMessage where
class (GObject o, O.IsDescendantOf DBusMessage o) => IsDBusMessage o
instance (GObject o, O.IsDescendantOf DBusMessage o) => IsDBusMessage o
instance O.HasParentTypes DBusMessage
#if ENABLE_OVERLOADING
data DBusMessageLockedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetArg0MethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetByteOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetDestinationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetErrorNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetHeaderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetHeaderFieldsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetInterfaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetLockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetMemberMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetMessageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetNumUnixFdsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetReplySerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetSenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetSerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetSignatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageGetUnixFdListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageLockMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageNewMethodErrorLiteralMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageNewMethodReplyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessagePrintMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetByteOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetDestinationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetErrorNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetHeaderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetInterfaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetMemberMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetMessageTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetNumUnixFdsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetReplySerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetSenderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetSerialMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetSignatureMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageSetUnixFdListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageToBlobMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusMessageToGerrorMethodInfo
#endif
