#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DataInputStream where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DataInputStream = DataInputStream (ManagedPtr DataInputStream)
instance GObject DataInputStream where
class (GObject o, O.IsDescendantOf DataInputStream o) => IsDataInputStream o
instance (GObject o, O.IsDescendantOf DataInputStream o) => IsDataInputStream o
instance O.HasParentTypes DataInputStream
#if ENABLE_OVERLOADING
data DataInputStreamByteOrderPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamNewlineTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamGetByteOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamGetNewlineTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadByteMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadInt16MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadLineMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadLineAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadLineFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadLineFinishUtf8MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadLineUtf8MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUint16MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUint32MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUntilMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUntilAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUntilFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUptoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUptoAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamReadUptoFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamSetByteOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data DataInputStreamSetNewlineTypeMethodInfo
#endif
