#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.FileInfo where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype FileInfo = FileInfo (ManagedPtr FileInfo)
instance GObject FileInfo where
class (GObject o, O.IsDescendantOf FileInfo o) => IsFileInfo o
instance (GObject o, O.IsDescendantOf FileInfo o) => IsFileInfo o
instance O.HasParentTypes FileInfo
#if ENABLE_OVERLOADING
data FileInfoClearStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoCopyIntoMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoDupMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeAsStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeByteStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeStringvMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeUint32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetAttributeUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetContentTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetDeletionDateMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetEditNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetEtagMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetFileTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetIsBackupMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetIsHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetIsSymlinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetModificationTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetSymbolicIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoGetSymlinkTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoHasAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoHasNamespaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoListAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoRemoveAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeByteStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeMaskMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeStringvMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeUint32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetAttributeUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetContentTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetEditNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetFileTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetIsHiddenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetIsSymlinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetModificationTimeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetSortOrderMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetSymbolicIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoSetSymlinkTargetMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileInfoUnsetAttributeMaskMethodInfo
#endif
