#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.IOStream where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype IOStream = IOStream (ManagedPtr IOStream)
instance GObject IOStream where
class (GObject o, O.IsDescendantOf IOStream o) => IsIOStream o
instance (GObject o, O.IsDescendantOf IOStream o) => IsIOStream o
instance O.HasParentTypes IOStream
#if ENABLE_OVERLOADING
data IOStreamClosedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamInputStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamOutputStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamClearPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamCloseAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamCloseFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamGetInputStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamGetOutputStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamHasPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamIsClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamSetPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data IOStreamSpliceAsyncMethodInfo
#endif
