#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.InputStream where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype InputStream = InputStream (ManagedPtr InputStream)
instance GObject InputStream where
class (GObject o, O.IsDescendantOf InputStream o) => IsInputStream o
instance (GObject o, O.IsDescendantOf InputStream o) => IsInputStream o
instance O.HasParentTypes InputStream
#if ENABLE_OVERLOADING
data InputStreamClearPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamCloseAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamCloseFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamHasPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamIsClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadAllAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadAllFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadBytesAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadBytesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamReadFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamSetPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamSkipMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamSkipAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data InputStreamSkipFinishMethodInfo
#endif
