#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.NetworkService where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype NetworkService = NetworkService (ManagedPtr NetworkService)
instance GObject NetworkService where
class (GObject o, O.IsDescendantOf NetworkService o) => IsNetworkService o
instance (GObject o, O.IsDescendantOf NetworkService o) => IsNetworkService o
instance O.HasParentTypes NetworkService
#if ENABLE_OVERLOADING
data NetworkServiceDomainPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceProtocolPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceSchemePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceServicePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceGetDomainMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceGetProtocolMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceGetSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceGetServiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data NetworkServiceSetSchemeMethodInfo
#endif
