#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Vfs where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Vfs = Vfs (ManagedPtr Vfs)
instance GObject Vfs where
class (GObject o, O.IsDescendantOf Vfs o) => IsVfs o
instance (GObject o, O.IsDescendantOf Vfs o) => IsVfs o
instance O.HasParentTypes Vfs
#if ENABLE_OVERLOADING
data VfsGetFileForPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsGetFileForUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsGetSupportedUriSchemesMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsIsActiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsParseNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsRegisterUriSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data VfsUnregisterUriSchemeMethodInfo
#endif
