#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Interfaces.File where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype File = File (ManagedPtr File)
instance GObject File where
class (GObject o, O.IsDescendantOf File o) => IsFile o
instance (GObject o, O.IsDescendantOf File o) => IsFile o
instance O.HasParentTypes File
#if ENABLE_OVERLOADING
data FileAppendToMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileAppendToAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileAppendToFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCopyAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCopyAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCopyFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateReadwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateReadwriteAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileCreateReadwriteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileDeleteAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileDeleteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileDupMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEjectMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEjectMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEjectMountableWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEjectMountableWithOperationFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEnumerateChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEnumerateChildrenAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEnumerateChildrenFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileFindEnclosingMountMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileFindEnclosingMountAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileFindEnclosingMountFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetBasenameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetChildForDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetParseNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetRelativePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileGetUriSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileHasParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileHasPrefixMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileHasUriSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileIsNativeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadBytesAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadBytesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadContentsAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadContentsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileLoadPartialContentsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMakeDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMakeDirectoryAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMakeDirectoryFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMakeDirectoryWithParentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMakeSymbolicLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMeasureDiskUsageFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMonitorMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMonitorDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMonitorFileMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMountEnclosingVolumeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMountEnclosingVolumeFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMountMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMountMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileMoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileOpenReadwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileOpenReadwriteAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileOpenReadwriteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FilePeekPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data FilePollMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FilePollMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryDefaultHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryDefaultHandlerAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryDefaultHandlerFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryExistsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryFileTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryFilesystemInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryFilesystemInfoAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryFilesystemInfoFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryInfoAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryInfoFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQuerySettableAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileQueryWritableNamespacesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReadMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReadAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReadFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceContentsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceContentsAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceContentsBytesAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceContentsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceReadwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceReadwriteAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileReplaceReadwriteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileResolveRelativePathMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeByteStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeInt32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeInt64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeStringMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeUint32MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributeUint64MethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributesAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetAttributesFromInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetDisplayNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetDisplayNameAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSetDisplayNameFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileStartMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileStartMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileStopMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileStopMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileSupportsThreadContextsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileTrashMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileTrashAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileTrashFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileUnmountMountableMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileUnmountMountableFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileUnmountMountableWithOperationMethodInfo
#endif
#if ENABLE_OVERLOADING
data FileUnmountMountableWithOperationFinishMethodInfo
#endif
