#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusInterfaceSkeleton where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusInterfaceSkeleton = DBusInterfaceSkeleton (ManagedPtr DBusInterfaceSkeleton)
instance GObject DBusInterfaceSkeleton where
class (GObject o, O.IsDescendantOf DBusInterfaceSkeleton o) => IsDBusInterfaceSkeleton o
instance (GObject o, O.IsDescendantOf DBusInterfaceSkeleton o) => IsDBusInterfaceSkeleton o
instance O.HasParentTypes DBusInterfaceSkeleton
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGAuthorizeMethodSignalInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonExportMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetConnectionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetObjectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonGetPropertiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonHasConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonSetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonUnexportMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusInterfaceSkeletonUnexportFromConnectionMethodInfo
#endif
