#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.DBusProxy where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DBusProxy = DBusProxy (ManagedPtr DBusProxy)
instance GObject DBusProxy where
class (GObject o, O.IsDescendantOf DBusProxy o) => IsDBusProxy o
instance (GObject o, O.IsDescendantOf DBusProxy o) => IsDBusProxy o
instance O.HasParentTypes DBusProxy
#if ENABLE_OVERLOADING
data DBusProxyGBusTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGConnectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGDefaultTimeoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGFlagsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGInterfaceInfoPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGInterfaceNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGNameOwnerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGObjectPathPropertyInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGPropertiesChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGSignalSignalInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallWithUnixFdListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallWithUnixFdListFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyCallWithUnixFdListSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetCachedPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetCachedPropertyNamesMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetConnectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetDefaultTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetInterfaceInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetInterfaceNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetNameOwnerMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxyGetObjectPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxySetCachedPropertyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxySetDefaultTimeoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data DBusProxySetInterfaceInfoMethodInfo
#endif
