#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.InetAddress where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype InetAddress = InetAddress (ManagedPtr InetAddress)
instance GObject InetAddress where
class (GObject o, O.IsDescendantOf InetAddress o) => IsInetAddress o
instance (GObject o, O.IsDescendantOf InetAddress o) => IsInetAddress o
instance O.HasParentTypes InetAddress
#if ENABLE_OVERLOADING
data InetAddressBytesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsAnyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsLinkLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsLoopbackPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMcGlobalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMcLinkLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMcNodeLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMcOrgLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMcSiteLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsMulticastPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressIsSiteLocalPropertyInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsAnyMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsLinkLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsLoopbackMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMcGlobalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMcLinkLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMcNodeLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMcOrgLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMcSiteLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsMulticastMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetIsSiteLocalMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressGetNativeSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data InetAddressToStringMethodInfo
#endif
