#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.MenuItem where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype MenuItem = MenuItem (ManagedPtr MenuItem)
instance GObject MenuItem where
class (GObject o, O.IsDescendantOf MenuItem o) => IsMenuItem o
instance (GObject o, O.IsDescendantOf MenuItem o) => IsMenuItem o
instance O.HasParentTypes MenuItem
#if ENABLE_OVERLOADING
data MenuItemGetAttributeValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemGetLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetActionAndTargetValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetAttributeValueMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetDetailedActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetIconMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetLinkMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetSectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuItemSetSubmenuMethodInfo
#endif
