#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.OutputStream where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype OutputStream = OutputStream (ManagedPtr OutputStream)
instance GObject OutputStream where
class (GObject o, O.IsDescendantOf OutputStream o) => IsOutputStream o
instance (GObject o, O.IsDescendantOf OutputStream o) => IsOutputStream o
instance O.HasParentTypes OutputStream
#if ENABLE_OVERLOADING
data OutputStreamClearPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamCloseAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamCloseFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamFlushMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamFlushAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamFlushFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamHasPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamIsClosedMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamIsClosingMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamSetPendingMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamSpliceMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamSpliceAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamSpliceFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteAllAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteAllFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteBytesAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteBytesFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWriteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevAllMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevAllAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevAllFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data OutputStreamWritevFinishMethodInfo
#endif
