#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Resolver where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Resolver = Resolver (ManagedPtr Resolver)
instance GObject Resolver where
class (GObject o, O.IsDescendantOf Resolver o) => IsResolver o
instance (GObject o, O.IsDescendantOf Resolver o) => IsResolver o
instance O.HasParentTypes Resolver
#if ENABLE_OVERLOADING
data ResolverReloadSignalInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByAddressAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByAddressFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameWithFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameWithFlagsAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupByNameWithFlagsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupRecordsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupRecordsAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupRecordsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupServiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupServiceAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverLookupServiceFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ResolverSetDefaultMethodInfo
#endif
