#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.SimpleAsyncResult where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype SimpleAsyncResult = SimpleAsyncResult (ManagedPtr SimpleAsyncResult)
instance GObject SimpleAsyncResult where
class (GObject o, O.IsDescendantOf SimpleAsyncResult o) => IsSimpleAsyncResult o
instance (GObject o, O.IsDescendantOf SimpleAsyncResult o) => IsSimpleAsyncResult o
instance O.HasParentTypes SimpleAsyncResult
#if ENABLE_OVERLOADING
data SimpleAsyncResultCompleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultCompleteInIdleMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultGetOpResGbooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultGetOpResGssizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultPropagateErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultSetCheckCancellableMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultSetFromErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultSetHandleCancellationMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultSetOpResGbooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data SimpleAsyncResultSetOpResGssizeMethodInfo
#endif
