#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.SocketListener where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype SocketListener = SocketListener (ManagedPtr SocketListener)
instance GObject SocketListener where
class (GObject o, O.IsDescendantOf SocketListener o) => IsSocketListener o
instance (GObject o, O.IsDescendantOf SocketListener o) => IsSocketListener o
instance O.HasParentTypes SocketListener
#if ENABLE_OVERLOADING
data SocketListenerListenBacklogPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptSocketMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptSocketAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAcceptSocketFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAddAddressMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAddAnyInetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAddInetPortMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerAddSocketMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SocketListenerSetBacklogMethodInfo
#endif
