#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.Task where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Task = Task (ManagedPtr Task)
instance GObject Task where
class (GObject o, O.IsDescendantOf Task o) => IsTask o
instance (GObject o, O.IsDescendantOf Task o) => IsTask o
instance O.HasParentTypes Task
#if ENABLE_OVERLOADING
data TaskCompletedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetCancellableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetCheckCancellableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetCompletedMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetContextMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetReturnOnCancelMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetSourceObjectMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetSourceTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskGetTaskDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskHadErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskPropagateBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskPropagateIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskPropagatePointerMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskReturnBooleanMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskReturnErrorMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskReturnErrorIfCancelledMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskReturnIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskReturnPointerMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetCheckCancellableMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetPriorityMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetReturnOnCancelMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetSourceTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data TaskSetTaskDataMethodInfo
#endif
