#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Gio.Objects.VolumeMonitor where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype VolumeMonitor = VolumeMonitor (ManagedPtr VolumeMonitor)
instance GObject VolumeMonitor where
class (GObject o, O.IsDescendantOf VolumeMonitor o) => IsVolumeMonitor o
instance (GObject o, O.IsDescendantOf VolumeMonitor o) => IsVolumeMonitor o
instance O.HasParentTypes VolumeMonitor
#if ENABLE_OVERLOADING
data VolumeMonitorDriveChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorDriveConnectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorDriveDisconnectedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorDriveEjectButtonSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorDriveStopButtonSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorMountAddedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorMountChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorMountPreUnmountSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorMountRemovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorVolumeAddedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorVolumeChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorVolumeRemovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorGetConnectedDrivesMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorGetMountForUuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorGetMountsMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorGetVolumeForUuidMethodInfo
#endif
#if ENABLE_OVERLOADING
data VolumeMonitorGetVolumesMethodInfo
#endif
